\ProvidesPackage{beamerinnerthemeprologin}
\RequirePackage{graphics}
\usetikzlibrary{calc, fadings}

\mode<presentation>
\setbeamertemplate{background}{

\begin{tikzpicture}
\useasboundingbox (0,0) rectangle (\the\paperwidth, \the\paperheight);

\coordinate (A1)  at ($(0                     , 17/20 * \the\paperheight)$);
\coordinate (A2)  at ($(1/2 * \the\paperwidth , 19/20 * \the\paperheight)$);
\coordinate (B1)  at ($(1/2 * \the\paperwidth + 
                       1/20 * \the\paperheight, 17/20 * \the\paperheight)$);
\coordinate (B2)  at ($(1/2 * \the\paperwidth +
                       3/20 * \the\paperheight, 19/20 * \the\paperheight)$);
\coordinate (C1)  at ($(1/2 * \the\paperwidth + 
                       4/20 * \the\paperheight, 17/20 * \the\paperheight)$);
\coordinate (C2)  at ($(1/2 * \the\paperwidth +
                       6/20 * \the\paperheight, 19/20 * \the\paperheight)$);

\fill[color=prologin-blue] (A1) rectangle (A2);
\fill[color=prologin-yellow] (B1) rectangle (B2);
\fill[color=prologin-red] (C1) rectangle (C2);
%\draw[line width=5pt, color=prologin-red] (A1) -- ++(\the\paperwidth, 0);

\ifnum\thepage=1\relax%
\node at (11, 1) {\includegraphics[width=.25\textwidth]{logonone}};
\else
\node at (11, 8.9) {\includegraphics[width=.25\textwidth]{logonone}};
\fi
\end{tikzpicture}
}

% Title page
\defbeamertemplate*{title page}{prologin}[1][]
{ 
   \vskip4cm%
    \begin{beamercolorbox}[wd=12cm,leftskip=1cm,sep=8pt,#1]{title page header}
      \usebeamerfont{title}\inserttitle\par%
    \end{beamercolorbox}%
    \vskip2cm%
    \begin{beamercolorbox}[wd=12cm,leftskip=1cm,#1]{author}
      \usebeamerfont{author}\insertauthor%
    \end{beamercolorbox}
     \vskip0.2cm%
    \begin{beamercolorbox}[wd=12cm,leftskip=1cm,#1]{date}
      \usebeamerfont{author}\insertdate%
    \end{beamercolorbox}
  \vfill
}

\setbeamertemplate{items}[square]
\setbeamertemplate{sections/subsections in toc}[square]

\mode<all>
